|  | Home

# QtBrowserItem Class Reference

The QtBrowserItem class represents a property in a property browser instance. More...

     #include <QtBrowserItem>

- List of all members, including inherited members

### Public Functions

- QtAbstractPropertyBrowser * browser () const
- QList<QtBrowserItem *> children () const
- QtBrowserItem * parent () const
- QtProperty * property () const

## Detailed Description

The QtBrowserItem class represents a property in a property browser instance.

Browser items are created whenever a QtProperty is inserted to the property browser. A QtBrowserItem uniquely identifies a browser's item. Thus, if the same QtProperty is inserted multiple times, each occurrence gets its own unique QtBrowserItem. The items are owned by QtAbstractPropertyBrowser and automatically deleted when they are removed from the browser.

You can traverse a browser's properties by calling parent() and children(). The property and the browser associated with an item are available as property() and browser().

See also QtAbstractPropertyBrowser and QtProperty.

## Member Function Documentation

### QtAbstractPropertyBrowser * QtBrowserItem::browser () const

Returns the property browser which owns this item.

### QList<QtBrowserItem *> QtBrowserItem::children () const

Returns the children items of this item. The properties reproduced from children items are always the same as reproduced from associated property' children, for example:

     QtBrowserItem *item;
     QList<QtBrowserItem *> childrenItems = item->children();

     QList<QtProperty *> childrenProperties = item->property()->subProperties();

The childrenItems list represents the same list as childrenProperties.

### QtBrowserItem * QtBrowserItem::parent () const

Returns the parent item of this item. Returns 0 if this item is associated with top-level property in item's property browser.

See also children().

### QtProperty * QtBrowserItem::property () const

Returns the property which is accosiated with this item. Note that several items can be associated with the same property instance in the same property browser.

See also QtAbstractPropertyBrowser::items().